\label{sec:pt-other-ngen}

\section{Marionette}

Marionette, an open source pluggable transport designed and
developed by RedJack, LLC, can make Tor traffic look like traffic from a
variety of different protocols. Currently, Marionette mainly transforms traffic
so that it looks like regular encrypted web traffic. A strength of Marionette
is that it can handle a relatively large amount of traffic quickly.

Marionette was originally written in Python. In preparation for integrating it
with Tor Browser, it was ported to Go. This port is now ready to be integrated
into an experimental version of Tor Browser and the Tor relay code so that a
full evaluation can be done. To enable this testing, we have set up a bridge
running Marionette.

\maybeurl{https://bugs.torproject.org/29272} \maybelinebreak
\maybeurl{https://bugs.torproject.org/26920}

\section{HTTPS proxy}

HTTPS proxy uses the HTTPS CONNECT method to instruct a proxy server to relay
traffic between a Tor client and a Tor relay. The traffic between the client
and the proxy is HTTPS traffic, which censors generally don't want to block.

Most simply, HTTPS proxy just passes traffic back and forth between the client
and an existing relay, but in this configuration, there is no way to collect
metrics about its use. Another way to deploy HTTPS proxy is to include it on a
Tor bridge that offers another pluggable transport. The HTTPS proxy handles
authentication, and passes the connection request to the other pluggable
transport that can collect metrics.

As a measure against active probing attacks, an HTTPS proxy can run a web
server alongside the proxy. When the proper credentials are not presented, the
web server serves innocuous content.

HTTPS proxy is at an experimental stage, with prototype code submitted to the
Tor Project. We need to examine the code and get it ready for deployment and
evaluation. In particular, there are a variety of ways that an HTTPS proxy
could be identified by its behavior and more research is needed to mitigate
them.

\maybeurl{https://bugs.torproject.org/26923} \maybelinebreak
\maybeurl{https://bugs.torproject.org/29278}

\section{Design and develop new pluggable transports}

Censorship circumvention is an arms race, so it is prudent to be looking ahead
to the next technique. We need to begin planning, designing, and implementing
the new pluggable transports that we'll need if censors learn how to block
current ones.

\maybeurl{https://bugs.torproject.org/29287}
